Subject: How to undo git-rm?

From: Neil Schemenauer <[email-masked]>
Date: Tue, 18 Mar 2008 17:04:41 -0600

Hi,

This seemingly simple operation has me stumped.  I removed something
from my try using "git rm" and now I want it back.  With SVN I would
use "svn cat <path> > <path>".  After some searching around, I
though git-cat-file would do the trick.  Alas, it appears as though
it looks up the SHA for the path in the index and so it too fails.

  Neil